Skip to content

Service Management

All operations require authentication.

9 operationsv1/storage/netapp
Agent setup

List Enterprise File Storage servicesProduction

GET
/1.0/storage/netapp

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200NetAppServiceWithIAM[]successful operation
createdAt
read-only
stringdate-time

Service creation date

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Service ID

name
read-only
string

Service name

performanceLevel
read-only
NetAppServicePerformanceLevelEnum

Service performance level

Valuespremium
product
read-only
string

Product name

quota
read-only
integer

Service quota in GiB

region
read-only
RegionEnum

Service region

Valuesca-east-bhseu-west-graeu-west-limeu-west-rbxeu-west-sbgus-east-vin
status
read-only
NetAppServiceStatusEnum

Service status

Valuescreatingdeleteddeletingreopeningrunningsuspendedsuspendingupdating

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performanceLevel": "premium", "product": "string", "quota": 0, "region": "ca-east-bhs", "status": "creating" }]

Get an Enterprise File Storage serviceProduction

GET
/1.0/storage/netapp/{serviceName}

Returns the service, including its region, performance level, quota and status.

Path parameters

serviceName
required
stringuuid

Service name

Response

200NetAppServiceWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Service creation date

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Service ID

name
read-only
string

Service name

performanceLevel
read-only
NetAppServicePerformanceLevelEnum

Service performance level

Valuespremium
product
read-only
string

Product name

quota
read-only
integer

Service quota in GiB

region
read-only
RegionEnum

Service region

Valuesca-east-bhseu-west-graeu-west-limeu-west-rbxeu-west-sbgus-east-vin
status
read-only
NetAppServiceStatusEnum

Service status

Valuescreatingdeleteddeletingreopeningrunningsuspendedsuspendingupdating

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performanceLevel": "premium", "product": "string", "quota": 0, "region": "ca-east-bhs", "status": "creating"}

List upgrade and downgrade optionsBeta

GET
/1.0/storage/netapp/{serviceName}/productUpdateOptions

Returns the product offers this service can change to (upgrade or downgrade), including plan code, quota, performance level, and the constraints that apply to the change.

Path parameters

serviceName
required
stringuuid

Service name

Response

200NetAppServiceProductUpdateOptionssuccessful operation
downgradeOptions
read-only
NetAppServiceProductUpdateUpgradeOrDowngradeOption[]

Product downgrade option

upgradeOptions
read-only
NetAppServiceProductUpdateUpgradeOrDowngradeOption[]

Product upgrade option

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName}/productUpdateOptions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "downgradeOptions": [ { "constraints": { "instantUpgrade": true }, "performanceLevel": "premium", "planCode": "string", "productName": "string", "quota": 0 } ], "upgradeOptions": [ { "constraints": { "instantUpgrade": true }, "performanceLevel": "premium", "planCode": "string", "productName": "string", "quota": 0 } ]}

Get service informationProduction

GET
/1.0/storage/netapp/{serviceName}/serviceInfos

Returns contacts, creation and expiration dates, and renewal settings.

Path parameters

serviceName
required
stringuuid

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Launch a contact change procedureProduction

POST
/1.0/storage/netapp/{serviceName}/changeContact

Starts the change of the admin, tech or billing contact and returns the request IDs.

Path parameters

serviceName
required
stringuuid

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Ask for the termination of your serviceProduction

POST
/1.0/storage/netapp/{serviceName}/terminate

Emails a termination token to the admin contact, to use with Confirm service termination.

Path parameters

serviceName
required
stringuuid

Service name

Response

200stringsuccessful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm service terminationProduction

POST
/1.0/storage/netapp/{serviceName}/confirmTermination

Confirms the termination with the emailed token and records your reason.

Path parameters

serviceName
required
stringuuid

Service name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update an Enterprise File Storage serviceProduction

PUT
/1.0/storage/netapp/{serviceName}

Updates the service name, the only property that can be changed. The change applies immediately, whatever the service status.

Path parameters

serviceName
required
stringuuid

Service name

Request body (required)

name
required
string

New service name. It must start with a letter and contain 2 to 64 letters, digits, spaces or the characters - _ / \

Response

200NetAppServicesuccessful operation
createdAt
read-only
stringdate-time

Service creation date

id
read-only
stringuuid

Service ID

name
read-only
string

Service name

performanceLevel
read-only
NetAppServicePerformanceLevelEnum

Service performance level

Valuespremium
product
read-only
string

Product name

quota
read-only
integer

Service quota in GiB

region
read-only
RegionEnum

Service region

Valuesca-east-bhseu-west-graeu-west-limeu-west-rbxeu-west-sbgus-east-vin
status
read-only
NetAppServiceStatusEnum

Service status

Valuescreatingdeleteddeletingreopeningrunningsuspendedsuspendingupdating

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performanceLevel": "premium", "product": "string", "quota": 0, "region": "ca-east-bhs", "status": "creating"}

Update service informationProduction

PUT
/1.0/storage/netapp/{serviceName}/serviceInfos

Changes how the service renews; renew is the only editable field.

Path parameters

serviceName
required
stringuuid

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"